## org.hibernate.bytecode
Interface ReflectionOptimizer.InstantiationOptimizer

All Known Implementing Classes:
  InstantiationOptimizerAdapter, InstantiationOptimizerAdapter

Enclosing interface:
  ReflectionOptimizer

    public static interface ReflectionOptimizer.InstantiationOptimizer

Represents optimized entity instantiation.

Method Summary
`Object` `newInstance()` Perform instantiation of an instance of the underlying class.

Method Detail

### newInstance

    Object newInstance()

  Perform instantiation of an instance of the underlying class.

  Returns:
    The new instance.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.